project('bibliotheca', 'cpp',
  version : '0.1.0',
  default_options : ['cpp_std=c++17'])

gtkmm = dependency('gtkmm-4.0')
sqlite = dependency('sqlite3')
openssl = dependency('openssl')
tinyxml2 = dependency('tinyxml2')
libzip   = dependency('libzip')
poppler  = dependency('poppler-glib')

src = ['src/main.cpp', 'src/BibliothecaWindow.cpp', 'src/Book.cpp',
'src/DatabaseManager.cpp', 'src/Sha256.cpp', 'src/BookList.cpp',
'src/BookShelf.cpp', 'src/BookTile.cpp', 'src/BookImport.cpp']

executable('bibliotheca',
  src,
  dependencies : [gtkmm, sqlite, openssl, tinyxml2, libzip, poppler],
  install : true)
